This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 807300 - failed registration of a system with an activation key leaves client in unregistered state (though it is registered in katello)
failed registration of a system with an activation key leaves client in unreg...
Status: CLOSED DUPLICATE of bug 803814
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 09:11 EDT by Tom McKay
Modified: 2013-03-27 16:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 12:18:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom McKay 2012-03-27 09:11:33 EDT
Description of problem:

When registering a system through an activation key (sub-mgr --activationkey=foo) that has a problem in it (eg. Pool with id ff80808 could not be found) leaves the system itself thinking it is not registered. Katello, however, lists the system as registered (though w/o any subscriptions, even the valid ones, in the activation key).

Further attempts to register the system will result in "Validation failed: Name has already been taken" errors from sub-mgr.
Comment 2 Lukas Zapletal 2012-03-27 11:44:17 EDT
Just a quick note - for activation keys there is a transaction implemented for subscriptions. If anything fails Katello tries to unsubscribe already subscribed entitlements. But activation is out of this transaction, so it does not get rolled out.
Comment 4 Tom McKay 2012-03-27 12:18:49 EDT

*** This bug has been marked as a duplicate of bug 803814 ***

Note You need to log in before you can comment on or make changes to this bug.